## LOC Set Server request

LOC Set Server request

## Functions

QmiMessageLocSetServerInput * | qmi_message_loc_set_server_input_new ()
QmiMessageLocSetServerInput * | qmi_message_loc_set_server_input_ref ()
void | qmi_message_loc_set_server_input_unref ()
gboolean | qmi_message_loc_set_server_input_get_url ()
gboolean | qmi_message_loc_set_server_input_set_url ()
gboolean | qmi_message_loc_set_server_input_get_ipv6 ()
gboolean | qmi_message_loc_set_server_input_set_ipv6 ()
gboolean | qmi_message_loc_set_server_input_get_ipv4 ()
gboolean | qmi_message_loc_set_server_input_set_ipv4 ()
gboolean | qmi_message_loc_set_server_input_get_server_type ()
gboolean | qmi_message_loc_set_server_input_set_server_type ()
QmiMessageLocSetServerOutput * | qmi_message_loc_set_server_output_ref ()
void | qmi_message_loc_set_server_output_unref ()
gboolean | qmi_message_loc_set_server_output_get_result ()
void | qmi_client_loc_set_server ()
QmiMessageLocSetServerOutput * | qmi_client_loc_set_server_finish ()

## Types and Values

| QmiMessageLocSetServerInput
| QmiMessageLocSetServerOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocSetServerInput
        ╰── QmiMessageLocSetServerOutput

## Description

## Functions

### qmi_message_loc_set_server_input_new ()

    QmiMessageLocSetServerInput *
    qmi_message_loc_set_server_input_new (void);

Allocates a new QmiMessageLocSetServerInput.

#### Returns

the newly created QmiMessageLocSetServerInput. The returned value should be freed with `qmi_message_loc_set_server_input_unref()`.

Since: 1.22

### qmi_message_loc_set_server_input_ref ()

    QmiMessageLocSetServerInput *
    qmi_message_loc_set_server_input_ref (QmiMessageLocSetServerInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetServerInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_set_server_input_unref ()

    void
    qmi_message_loc_set_server_input_unref
                                   (QmiMessageLocSetServerInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetServerInput. |

Since: 1.22

### qmi_message_loc_set_server_input_get_url ()

    gboolean
    qmi_message_loc_set_server_input_get_url
                                   (QmiMessageLocSetServerInput *self,
                                    const gchar **value_url,
                                    GError **error);

Get the 'URL' field from `self` .

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_url | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_input_set_url ()

    gboolean
    qmi_message_loc_set_server_input_set_url
                                   (QmiMessageLocSetServerInput *self,
                                    const gchar *value_url,
                                    GError **error);

Set the 'URL' field in the message.

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_url | a constant string with a maximum length of 256 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_input_get_ipv6 ()

    gboolean
    qmi_message_loc_set_server_input_get_ipv6
                                   (QmiMessageLocSetServerInput *self,
                                    GArray **value_ipv6_ipv6_address,
                                    guint32 *value_ipv6_ipv6_port,
                                    GError **error);

Get the 'IPv6' field from `self` .

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_ipv6_ipv6_address | a placeholder for the output GArray of guint16 elements, or `NULL` if not required. Do not free it, it is owned by `self` . |
value_ipv6_ipv6_port | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_input_set_ipv6 ()

    gboolean
    qmi_message_loc_set_server_input_set_ipv6
                                   (QmiMessageLocSetServerInput *self,
                                    GArray *value_ipv6_ipv6_address,
                                    guint32 value_ipv6_ipv6_port,
                                    GError **error);

Set the 'IPv6' field in the message.

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_ipv6_ipv6_address | a GArray of guint16 elements. A new reference to `value_ipv6_ipv6_address` will be taken. |
value_ipv6_ipv6_port | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_input_get_ipv4 ()

    gboolean
    qmi_message_loc_set_server_input_get_ipv4
                                   (QmiMessageLocSetServerInput *self,
                                    guint32 *value_ipv4_ipv4_address,
                                    guint16 *value_ipv4_ipv4_port,
                                    GError **error);

Get the 'IPv4' field from `self` .

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_ipv4_ipv4_address | a placeholder for the output guint32, or `NULL` if not required. |
value_ipv4_ipv4_port | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_input_set_ipv4 ()

    gboolean
    qmi_message_loc_set_server_input_set_ipv4
                                   (QmiMessageLocSetServerInput *self,
                                    guint32 value_ipv4_ipv4_address,
                                    guint16 value_ipv4_ipv4_port,
                                    GError **error);

Set the 'IPv4' field in the message.

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_ipv4_ipv4_address | a guint32. |
value_ipv4_ipv4_port | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_input_get_server_type ()

    gboolean
    qmi_message_loc_set_server_input_get_server_type
                                   (QmiMessageLocSetServerInput *self,
                                    QmiLocServerType *value_server_type,
                                    GError **error);

Get the 'Server Type' field from `self` .

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_server_type | a placeholder for the output QmiLocServerType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_input_set_server_type ()

    gboolean
    qmi_message_loc_set_server_input_set_server_type
                                   (QmiMessageLocSetServerInput *self,
                                    QmiLocServerType value_server_type,
                                    GError **error);

Set the 'Server Type' field in the message.

#### Parameters

self | a QmiMessageLocSetServerInput. |
value_server_type | a QmiLocServerType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22

### qmi_message_loc_set_server_output_ref ()

    QmiMessageLocSetServerOutput *
    qmi_message_loc_set_server_output_ref (QmiMessageLocSetServerOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocSetServerOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_set_server_output_unref ()

    void
    qmi_message_loc_set_server_output_unref
                                   (QmiMessageLocSetServerOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocSetServerOutput. |

Since: 1.22

### qmi_message_loc_set_server_output_get_result ()

    gboolean
    qmi_message_loc_set_server_output_get_result
                                   (QmiMessageLocSetServerOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocSetServerOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22

### qmi_client_loc_set_server ()

    void
    qmi_client_loc_set_server (QmiClientLoc *self,
                               QmiMessageLocSetServerInput *input,
                               guint timeout,
                               GCancellable *cancellable,
                               GAsyncReadyCallback callback,
                               gpointer user_data);

Asynchronously sends a Set Server request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_set_server_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocSetServerInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_set_server_finish ()

    QmiMessageLocSetServerOutput *
    qmi_client_loc_set_server_finish (QmiClientLoc *self,
                                      GAsyncResult *res,
                                      GError **error);

Finishes an async operation started with `qmi_client_loc_set_server()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_set_server()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocSetServerOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_set_server_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocSetServerInput

    typedef struct _QmiMessageLocSetServerInput QmiMessageLocSetServerInput;

The QmiMessageLocSetServerInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageLocSetServerOutput

    typedef struct _QmiMessageLocSetServerOutput QmiMessageLocSetServerOutput;

The QmiMessageLocSetServerOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22